
CoCoALib - Slug #1110

Determinant of matrix over QQ (whose entries are actually integers)

25 Oct 2017 13:29 - John Abbott

Status: Closed Start date: 25 Oct 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 19.90 hours

Target version: CoCoALib-0.99600 Spent time: 20.00 hours

Description

CoCoA-5 can be much faster as computing det(M) if RingOf(M) is ZZ than the same matrix but over the ring QQ.

In one test (using RandomUnimodularMatrix(ZZ, 100, 100000)) the times were: 10s over ZZ, and 125s over QQ even though the

matrices had the same entries!

[REJECTED] Perhaps add a special case where all entries are over ZZ?

[IMPLEMENTED] Perhaps even do something clever to clear denoms, then compute over ZZ?

Related issues:

Related to CoCoALib - Slug #691: Matrix determinant over ZZ Closed 29 Apr 2015

History

#1 - 25 Oct 2017 13:29 - John Abbott

- Related to Slug #691: Matrix determinant over ZZ added

#2 - 26 Jun 2018 14:32 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99600

- % Done changed from 0 to 90

- Estimated time set to 19.90 h

Done as part of work on Habilitationsschrift.

Now both dets take about 1.8s

#3 - 03 Aug 2018 15:56 - John Abbott

- Description updated

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
